# Thank you for using Convert2SQL!

Enjoyed our service? Please tell your colleagues and friends, like our Facebook page or tweet #convert2sql about your experience!

We are currently in BETA, which means there might be more frequent bugs and unwanted conversion results then on a stable version, so please be sure to test it and analyze your data before using it in any production environment. 

If you encounter any problems, please let us know: support@convert2sql.com

### !! A FRIENDLY REMINDER: ALWAYS TRY THE IMPORT IN DEV/STAGING ENVIRONMENTS BEFORE USING IT IN ANY PRODUCTION ENVIRONMENT !!

## Content of this zip

This zip contains the following files:

- README.md: The file you are reading right now, hello there!
- schema.sql: This is the schema that C2S generated for you based on the data in your spreadsheet file. It contains the CREATE TABLE statement. Feel free to modify it to your liking if you so wish. You must always run this one first to create your table, before you import the dump.sql
- dump.sql: This is the data dump, containing all batched INSERT statements. C2S always starts a new INSERT statement per 1000 value rows, we keep it at this threshold to be sure that your database server can handle it.

## Tips and tricks

### Join the schema.sql and dump.sql content into a new file

Sometimes it's easier just to concatenate both files into one joined dump file before the import. You can use the following commands for that:

*Linux/MacOS Terminal*
```
$ cat path/to/schema.sql path/to/dump.sql >> path/to/import-dump.sql
```

*Windows command line*
```
: type schema.sql dump.sql > import-dump.sql
```

### To import the dump

*In MySQL/MariaDB console*
```
> use YOUR_DATABASE_NAME;
> source path/to/schema.sql;
> source path/to/dump.sql;
```

*In PostgreSQL (psql) console*
```
> \c YOUR_DATABASE_NAME;
> \i path/to/schema.sql;
> \i path/to/dump.sql;
```

*MS SQL Server - from command line*
```
: sqlcmd -S server_name\instance_name -d database_name -i C:\path\to\schema.sql -o C:\path\where\you\want\output-file.txt
: sqlcmd -S server_name\instance_name -d database_name -i C:\path\to\dump.sql -o C:\path\where\you\want\output-file.txt
```

### That's it. Enjoy your SQL import!
/Your friends at Convert2SQL (Triangela AB)